Рекомендация Debian по безопасности

DSA-4659-1 git -- обновление безопасности

Дата сообщения:
20.04.2020
Затронутые пакеты:
git
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2020-11008.
Более подробная информация:

Карло Аренас обнаружил уязвимость в git, быстрой масштабируемой распределённой системе управления ревизиями. С помощью специально сформированного URL, содержащего символ новой строки или пустое значение для узла, либо в котором отсутствует схема, можно обмануть вспомогательный код для обработки учётных записей так, чтобы была предоставлена информация об учётных записях, которая не подходит для используемого протокола и узла.

В предыдущем стабильном выпуске (stretch) эта проблема была исправлена в версии 1:2.11.0-3+deb9u7.

В стабильном выпуске (buster) эта проблема была исправлена в версии 1:2.20.1-2+deb10u3.

Рекомендуется обновить пакеты git.

С подробным статусом поддержки безопасности git можно ознакомиться на соответствующей странице отслеживания безопасности по адресу https://security-tracker.debian.org/tracker/git